Bug 40461 - New port MP3c , a cd to mp3 converter with an ASCII frontend (sorry for the previous 2 fuck ups)
Summary: New port MP3c , a cd to mp3 converter with an ASCII frontend (sorry for the p...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-11 16:20 UTC by Joris Vandalon
Modified: 2003-01-19 12:39 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joris Vandalon 2002-07-11 16:20:01 UTC
	MP3c is a nice tool for converting cd's to mp3.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       /usr/ports/audio/mp3c
#       /usr/ports/audio/mp3c/Makefile
#       /usr/ports/audio/mp3c/distinfo
#       /usr/ports/audio/mp3c/pkg-comment
#       /usr/ports/audio/mp3c/pkg-descr
#       /usr/ports/audio/mp3c/pkg-plist
#       /usr/ports/audio/mp3c/files
#       /usr/ports/audio/mp3c/files/patch-zz
#
echo c - /usr/ports/audio/mp3c
mkdir -p /usr/ports/audio/mp3c > /dev/null 2>&1
echo x - /usr/ports/audio/mp3c/Makefile
sed 's/^X//' >/usr/ports/audio/mp3c/Makefile << 'END-of-/usr/ports/audio/mp3c/Makefile'
X# New ports collection makefile for:   oneko
X# Date created:        5 December 1994
X# Whom:                asami
X#
X# $FreeBSD$
X#
X
XPORTNAME=      mp3c
XPORTVERSION=   0.27
XCATEGORIES=    audio
XMASTER_SITES=  ftp://excelsior.kullen.rwth-aachen.de/pub/linux/wspse/
X
XMAINTAINER=    wiebel@FreeBSD.nl
X
XRUN_DEPENDS=   dagrab:${PORTSDIR}/audio/dagrab \
X              gogo:${PORTSDIR}/audio/gogo \
X              id3tool:${PORTSDIR}/audio/id3tool
X
XHAS_CONFIGURE= yes
X
XMAN1=          mp3c.1
XMANCOMPRESSED= no
X
Xpost-install:
X       ${FETCH_CMD} -o ${LOCALBASE}/bin/cdrip.sh http://www.cobweb.nl/wiebel/cdrip.sh
X       ${CHMOD} +x ${LOCALBASE}/bin/cdrip.sh
X
X.include <bsd.port.mk>
END-of-/usr/ports/audio/mp3c/Makefile
echo x - /usr/ports/audio/mp3c/distinfo
sed 's/^X//' >/usr/ports/audio/mp3c/distinfo << 'END-of-/usr/ports/audio/mp3c/distinfo'
XMD5 (mp3c-0.27.tar.gz) = 6afabf4c266effa498cd0bd7d25063c9
END-of-/usr/ports/audio/mp3c/distinfo
echo x - /usr/ports/audio/mp3c/pkg-comment
sed 's/^X//' >/usr/ports/audio/mp3c/pkg-comment << 'END-of-/usr/ports/audio/mp3c/pkg-comment'
XUse and enjoy
END-of-/usr/ports/audio/mp3c/pkg-comment
echo x - /usr/ports/audio/mp3c/pkg-descr
sed 's/^X//' >/usr/ports/audio/mp3c/pkg-descr << 'END-of-/usr/ports/audio/mp3c/pkg-descr'
XMP3c is a cd to mp3c converter with a console frontend
END-of-/usr/ports/audio/mp3c/pkg-descr
echo x - /usr/ports/audio/mp3c/pkg-plist
sed 's/^X//' >/usr/ports/audio/mp3c/pkg-plist << 'END-of-/usr/ports/audio/mp3c/pkg-plist'
Xbin/mp3c
Xbin/cdrip.sh
END-of-/usr/ports/audio/mp3c/pkg-plist
echo c - /usr/ports/audio/mp3c/files
mkdir -p /usr/ports/audio/mp3c/files > /dev/null 2>&1
echo x - /usr/ports/audio/mp3c/files/patch-zz
sed 's/^X//' >/usr/ports/audio/mp3c/files/patch-zz << 'END-of-/usr/ports/audio/mp3c/files/patch-zz'
X--- src/conf.c.orig    Wed Jun 27 19:01:29 2001
X+++ src/conf.c Thu Jul 11 15:06:19 2002
X@@ -34,12 +34,12 @@
X #include <sys/param.h>
X #endif /* HAVE_SYS_PARAM_H */
X 
X-#define FN_PATTERN      "%7-%8.mp3"    /* pattern for filename: %1 = artist,
X+#define FN_PATTERN      "%7-%2.mp3"    /* pattern for filename: %1 = artist,
X                                         %2 = title, %3 = album, %4 = genre,
X                                         %5 = year, %6 = track, %7 = track (with leading zeros)
X                                         %8 = cddb-id
X                                       */
X-#define FN_PATTERN_MIX  "%3/%1-%2.mp3"
X+#define FN_PATTERN_MIX  "%7-%2.mp3"
X #define DEF_CDDB_SERVER "freedb.freedb.org:8880"
X 
X #ifdef CONF_CDDB_PATH
X@@ -49,18 +49,18 @@
X #endif   /* CONF_CDDB_PATH */
X 
X #if (defined(BSD) && BSD >= 199306)
X-#define DEF_CDROM_DEV "/dev/rcd0d"
X+#define DEF_CDROM_DEV "/dev/acd0c"
X #else
X-#define DEF_CDROM_DEV   "/dev/cdrom"
X+#define DEF_CDROM_DEV   "/dev/acd0c"
X #endif /* !(defined(BSD) && BSD >= 199306) */
X #define DEF_TMP_FILE    "/tmp/WSPse-MP3Creat.wav"
X #define DEF_MP3_DIR     "./"      /* default dir for mp3s */
X #define DEF_M3U_DIR     "0"       /* default dir for m3us */
X #define DEF_MP3_INFO    "id3tool -r \"%1\" -t \"%2\" -a \"%3\" -y \"%5\" -g %4 -n \"%6\" \"%7\""
X-#define DEF_CD_RIP_NF   "cdparanoia -d \"%1\" %2 \"%3\""
X-#define DEF_CD_RIP_OF   "cdparanoia -d \"%1\" %2 -"
X-#define DEF_MP3_ENC_NF  "mp3enc \"%1\" \"%2\""
X-#define DEF_MP3_ENC_OF  "mp3enc - \"%1\""
X+#define DEF_CD_RIP_NF   "dagrab -o 6 -n 32 -d %1 -f %3 %2"
X+#define DEF_CD_RIP_OF   "cdrip.sh %1 %2"
X+#define DEF_MP3_ENC_NF  "gogo  %1 %2"
X+#define DEF_MP3_ENC_OF  "gogo /tmp/mp3 \"%1\" -b 160"
X #define DEF_FRM_MULTI   214
X #define DEF_M3U_PATTERN "%1-%3.m3u"    /* pattern for m3u-playlist: %1 = artist,
X                               i         %2 = songtitle, %3 = album */
X@@ -165,7 +165,7 @@
X   fn_toupper          = TRUE;
X   fn_mode             = 1;
X   mp3_frame_mult      = DEF_FRM_MULTI;
X-  def_on_fly          = FALSE;
X+  def_on_fly          = TRUE;
X   eased_char_hand     = FALSE;
X   replace_slash_ch    = '-';
X   rip_enc_ordered     = FALSE;
END-of-/usr/ports/audio/mp3c/files/patch-zz
exit

begin 644 mp3c.tar.gz
M'XL(`$V-+3T``^U9>V_:2!#OO_A3S)'DKBWQ^Y702Q4"IN$4(#*DO9,J6<9>
M@R_&BVQ3FE;][C=K`X&$)*J4H[HK(Z%=[_YF=F?GP3X$T9WZ(17'$]437_P[
M)$F:9.HZECG=+8NZJ<NJ*AD:P\F*),LO0/^7YK-&TS1S$X`7":798[C9B)!H
M&Q/:+@FK]F^[UR0((_+,8TBRA(;5'K(_6MM<VE^7$">KFH;VEYYY'AOI)[?_
M'G3(#"8TR5+P:!01+PMI#..Y)T!`DRH`T)A<4VX/&FY&P$L(%CYKSTF'!O'(
M>$`2D(^/-81]&-'QLGM!;NJ.0VX/N_>;"2%GO<8^?G&77;O?J;6MDP+%'#%O
M>V_9O5:WPYHE03&Y>JUOO>O:+:N7(W.WY=JU7M^RG5ZKC\VE()M419%\]DB4
MAC01KJ>H4"PDLVS$NZXWPKI/Q,ET($9A//TLSM))2D0.I;0Z??Q9=BYZ%I(!
MB4[GDQ3BB./LJX[3L"ZM3B,?W7>'B3NH[G]E$^TU6O:W>1@5'?"1*\V5'M(A
MW8!CS2NHT%<S2J,-P'D/5RIQW'FMY]2[G6;KW96-RW5#4C;UCGQRN\9L]029
MM=:[[4O;ZO6LQ@G$E..X"4TS/HS1W:.HRI7VOS:M?OW<J;<;WX"GL/_UHENO
M79S5>M8W<1#&HN<GX41(1S#*\F6=S6:"1P<S,L`5$8LU6H*8O/IYNXNR*I\?
MEL5Q0AA[T=0G\/L@]07F=\+X^BWWH\/@IZ6U_.^':1;&`7WF,9[(_Y)D*LO\
M+VL&R_\ZPG?Y?PO4;NCPDAF?9TE6P+40AE]>P0D8;N`.`LU3#(,$@:L='WF^
M-/!-7]$E0_6.=R'[OZ"U^)]<#WF/CL<D?C04OI>>C'_9*.)?T4Q3QKV@K,GZ
M+OZW0E<I`3?V@<1_TYM=3/]T="_^?9)ZR?..\63\&^9M_"LL_E5#V9W_MD+M
M2]6#,`47/!\RFA\@\"`8?R))AN>Y69B-6!^-4\I.@PF-,Q+[NT3Q?Z%[\3^)
M\!#PO&,\&?^*L=C_RY*F%?%O[.)_&\1.Y_F5R]HQ_4?/:D?;HK7X9S=^Z?._
M`GS'_;^N%/__LF3N[O^W01OL/W$S;\1_^?)L8SR1_U5349?VUTR9G?]T4]_E
M_VT0S_.0)IZ(.[Q`\`2:A,/2!^+#'],8%!/DXZHD5Y5C4/"4SE4JE15PJ3^:
M(BX"6099KTI&5<YQ"G=Z"KRJ'<H*5(KB])2#O>7-;WK#G"QQQ\+H+;;C?C(,
M0'P-Y[7WEM/[J^=<UNQ:VSF'UR(''+_GDR","30[V-'O6W:GN.LN'YC\P9&`
MGEMFGR@`/1<WK3%[M`#FR[$[)E4XD.$$W"3#?<TA5WE4FO*=TJ#$".!`P<8L
MS")R"`<J`T2#Z1CK&M:')$[("E8'=G?O)MAM,+;$]:ZQ;B[J\#+?=4?$]<-X
M"%](0M-7M^Q'B/-\?\"'?M$XO_HOX6IM6"NGW?J3::>*!_)"P4VKL,`M5P$M
M,P<UK*93;S3.G)YEO[=L*`<)(?Y`F!<T&5:/CHXDY&!6#I`+V#-%P8/BSW.'
MT(X/Y2.H%$7N$(7A\[5>QQ>&9[+@93$'_^59K_$*?OT5L(2W)^RA296,5[<:
M%Y.TNVVG8;TOE46??!(3SY?\%6TW85S$>$Q9$J7D`7',/7(P;I#H^"&!2]2M
MR(5G__*$&KG"JT+[[4NGV;JP<L\4L_%$_-"[3`F/Q[4Z>WT39NZG.Q;"+J?1
ML@MG%L1RX14X.&+<:92!'R:Y+Z-QTWL#MM6K6VYISKR16YUNX,:Q6YUF-^>>
M/UD!G\#'\H'\L0Q\QFH*J[FLIK+:#:OIK#9D<<+'[-O`;RS,C^7R75LX=NO2
MZ339")[/TD=,0Q=X?S$(QF`A>C-G]U%._@X34\CJU//QRKA@)/86Z$*3!_#=
M%3P_Y[CG+RN:S-\+>0H&6P%58=/"%,,'+(\<*)MY%[K,'^@0?P^YID#^VO@H
MK+N$Y<Z&&BQM-P#9D.[X6M-N.^VKBWX+YZ'(VGU76J36,DLZJH!.LRFK8C.>
M-]T;=N3<E%G#16I-:3R\EUZ9%[+$(AOZH0F5HF")!2"(G8Q.)Q.2W#Z-GD#?
MOK+>S+O'%/^)5@EC,>]#U9T`_YN(,V9N/^];4_H-QP.+"X?&3A#=K,IHUBYZ
M.$;EH?[E%(B;$M_Q1F[BC-C]ZQH[UA.""^,1)XW<=(2XHO\W_K>B-YPXZ&(.
:37R2D#O</WI+L:,=[>@_0O\`2C!UR@`H````
`
end
Comment 1 Edwin Groothuis freebsd_committer 2003-01-19 12:39:14 UTC
State Changed
From-To: open->closed

Commited, thanks! 
(fixed pkg-plist)